<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');
/*
  | -------------------------------------------------------------------------
  | URI ROUTING
  | -------------------------------------------------------------------------
  | This file lets you re-map URI requests to specific controller functions.
  |
  | Typically there is a one-to-one relationship between a URL string
  | and its corresponding controller class/method. The segments in a
  | URL normally follow this pattern:
  |
  |	example.com/class/method/id/
  |
  | In some instances, however, you may want to remap this relationship
  | so that a differloaent class/function is called than the one
  | corresponding to the URL.
  |
  | Please see the user guide for complete details:
  |
  |	http://codeigniter.com/user_guide/general/routing.html
  |
  | -------------------------------------------------------------------------
  | RESERVED ROUTES
  | -------------------------------------------------------------------------
  |
  | There area two reserved routes:
  |
  |	$route['default_controller'] = 'welcome';
  |
  | This route indicates which controller class should be loaded if the
  | URI contains no data. In the above example, the "welcome" class
  | would be loaded.
  |
  |	$route['404_override'] = 'errors/page_missing';
  |
  | This route will tell the Router what URI segments to use if those provided
  | in the URL cannot be matched to a valid route.
  |
*/
	$route['event/create'] = "event/add";
	
	/* Default controller. */
	$route['default_controller'] = "home/index";
	$route['property-detail/(:any)/(:any)'] = "home/detail/$2";
	$route['resale/chk-date'] = "home/chkdate";
	$route['search'] = "search/index";
	$route['categories/(:any)'] = "home/cat/$1";
	
	
	$route['page/contact-us'] = "home/contactus";
	$route['page/about-us'] = "home/aboutus";
	$route['page/privacy-policy'] = "home/privacypolicy";
	$route['page/disclaimer'] = "home/disclaimer";
	
	$route['event/(:any)'] = "home/showevent/$1";
	$route['event/ticket/(:any)'] = "home/eventticket/$1";

	$route['dashboard'] = "user/dashboard";
	$route['profile'] = "user/userprofile";
	$route['profile/change-password'] = "user/changepassword";
	$route['profile/my-ticket'] = "user/myticket";
	$route['profile/my-events'] = "user/myevents";
	$route['profile/my-events/del/(:any)'] = "user/delmyevents/$1";
	$route['profile/my-events/change-status/(:any)/(:any)'] = "user/changestatus/$1/$2";
	$route['register'] = "register/userRegistration";
	$route['chk-email-dublicate'] = "register/chkEmailDuplicate";
	$route['chk-email-exist'] = "register/Emailexist";
	$route['chk-mobile-dublicate'] = "register/chkMobileDuplicate";
	$route['login'] = "register/signin";
	$route['user-activation/(:any)'] = "register/userActivation/$1";
	$route['fb-signup'] = "register/fbUserRegistration";
	$route['fb-signup-chk-usertype'] = "register/userRegistrationByFacebook";
	$route['contact_us/(:any)'] = "home/contact/$1";
	
	/*admin*/
	$route['admin'] = "admin/login";
	
	$route['admin/pages/(:any)'] = "pages/index/$1";
	
	$route['admin/home'] = "admin/home";
	$route['admin/project/(:any)'] = "project/add/$1";
	$route['admin/edit-floor-plan/(:any)/(:any)'] = "project/editfloorplan/$1/$2";
	$route['admin/delete-floor-plan/(:any)/(:any)'] = "project/deletefloorplan/$1/$2";
	$route['admin/delete-floorplan-image-backend'] = "project/deletefloorplanimage";
	$route['admin/delete-masterplan-image-backend'] = "project/deletemasterplanimage";
	$route['admin/delete-locationmap-image-backend'] = "project/deletelocationmapimage";
	$route['admin/floor-plan/(:any)'] = "project/floorplan/$1";
	
	$route['admin/edit-project/(:any)'] = "project/edit/$1";
	
	$route['admin/add-project'] = "project/add";
	$route['admin/project'] = "project";
	$route['admin/type'] = "type/index";
	$route['admin/type/(:any)'] = "type/index/$1";
	$route['admin/city'] = "city/index";
	$route['admin/city/(:any)'] = "city/index/$1";
	$route['admin/resale'] = "resale/index";
	$route['admin/user'] = "resale/user";
	$route['admin/resale/user-resale'] = "resale/userresale";
	$route['admin/user/user-resale/(:any)'] = "resale/userresale/$1";
	$route['admin/resale/admin-resale/(:any)'] = "resale/userresale/$1";
	$route['admin/resale/add'] = "resale/add";
	$route['admin/resale/edit/(:any)'] = "resale/edit/$1";
	$route['admin/location'] = "location/index";
	$route['admin/location/(:any)'] = "location/index/$1";
	$route['admin/ajax/findloc/(:any)'] = "ajax/findloc/$1";
	$route['admin/resale/change-available-status'] = "resale/changeAvailableStatus";
	$route['admin/resale/change-user-status'] = "resale/changeUserStatus";
	$route['admin/resale/change-hot-status'] = "resale/changehotStatus";
	$route['admin/delete-resale-image-backend'] = "resale/deleteRsaleImageBackend";
	
	$route['logout'] = "admin/logout";
	
	/*admin*/
	$route['user'] = "user/login";
	$route['user/user_otp'] = "user/loginsms";
	$route['user/user_otp/(:any)'] = "user/loginsms/$1";
	
	$route['user/pages/(:any)'] = "pages/index/$1";
	
	$route['user/home'] = "user/home";
	$route['user/edit-profile'] = "userresale/editprofile";
	$route['user/all'] = "userresale/index";
	$route['user/add'] = "userresale/add";
	$route['user/resale/edit/(:any)'] = "userresale/edit/$1";
	$route['user/ajax/findloc/(:any)'] = "ajax/findloc/$1";
	$route['user/resale/change-available-status'] = "userresale/changeAvailableStatus";
	$route['user/delete-resale-image-backend'] = "userresale/deleteRsaleImageBackend";
	
	$route['user/logout'] = "user/logout";

