<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Common_Model extends CI_Model {
    /* function to get global setttings from the database */

    public function getGlobalSettings($lang_id = '') {
        $global = array();
        $this->db->select('mst_global.*,trans_global.*');
        $this->db->from('mst_global_settings as mst_global');
        $this->db->join('trans_global_settings as trans_global', 'mst_global.global_name_id = trans_global.global_name_id', 'left');
        if ($lang_id != '') {
            $this->db->where("trans_global.lang_id", $lang_id); /* for lnag id passed ie. english */
        } else {
            $this->db->where("trans_global.lang_id", 17); /* for default language ie. english */
        }
        $result = $this->db->get();
        foreach ($result->result_array() as $row) {
            $global[$row['name']] = $row['value'];
        }
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'getGlobalSettings',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
        return $global;
    }

    /* common function to get records from the database table */
	
	function moneyFormatIndia($num) {
    $explrestunits = "" ;
    if(strlen($num)>3) {
        $lastthree = substr($num, strlen($num)-3, strlen($num));
        $restunits = substr($num, 0, strlen($num)-3); // extracts the last three digits
        $restunits = (strlen($restunits)%2 == 1)?"0".$restunits:$restunits; // explodes the remaining digits in 2's formats, adds a zero in the beginning to maintain the 2's grouping.
        $expunit = str_split($restunits, 2);
        for($i=0; $i<sizeof($expunit); $i++) {
            // creates each of the 2's group and adds a comma to the end
            if($i==0) {
                $explrestunits .= (int)$expunit[$i].","; // if is first value , convert into integer
            } else {
                $explrestunits .= $expunit[$i].",";
            }
        }
        $thecash = $explrestunits.$lastthree;
    } else {
        $thecash = $num;
    }
    return $thecash; // writes the final format where $currency is the currency symbol.
	}
	

    public function getRecords($table, $fields = '', $condition = '', $order_by = '', $limit = '', $debug = 0) {
        $str_sql = '';
        if (is_array($fields)) { /* $fields passed as array */
            $str_sql.=implode(",", $fields);
        } elseif ($fields != "") { /* $fields passed as string */
            $str_sql .= $fields;
        } else {
            $str_sql .= '*';  /* $fields passed blank */
        }
        $this->db->select($str_sql, FALSE);
        if (is_array($condition)) { /* $condition passed as array */
            if (count($condition) > 0) {
                foreach ($condition as $field_name => $field_value) {
                    if ($field_name != '' && $field_value != '') {
                        $this->db->where($field_name, $field_value);
                    }
                }
            }
        } else if ($condition != "") { /* $condition passed as string */
            $this->db->where($condition);
        }
        if ($limit != "") {
            $this->db->limit($limit); /* limit is not blank */
        }
        if (is_array($order_by)) {
            $this->db->order_by($order_by[0], $order_by[1]);  /* $order_by is not blank */
        } else if ($order_by != "") {
            $this->db->order_by($order_by);  /* $order_by is not blank */
        }
        $this->db->from($table);  /* getting record from table name passed */
        $query = $this->db->get();
        if ($debug) {
            die($this->db->last_query());
        }
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'getRecords',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
        return $query->result_array();
    }
	
		public function homegetRecords() {
        $this->db->select('res.*,proj.project_name,img.resale_img_name');
        $this->db->from('resale as res');
        $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        $this->db->join('resale_img as img', 'res.resale_id=img.resale_id', 'left');
		$this->db->where('res.status', '1');
        $this->db->group_by('res.resale_id'); 
        
        $this->db->order_by('res.resale_id', 'desc');
        $result = $this->db->get();
        return $result->result_array();
    }
	
		public function chkdateRecords() {
        $this->db->select('res.update_time,res.resale_id');
        $this->db->from('resale as res');
        // $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        // $this->db->join('resale_img as img', 'res.resale_id=img.resale_id', 'left');
		$this->db->where('res.status', '1');
        $result = $this->db->get();
        return $result->result_array();
    }	
	
		public function homesearchRecords($project_id,$bed,$price) {
        $this->db->select('res.*,proj.project_name,img.resale_img_name');
        $this->db->from('resale as res');
        $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        $this->db->join('resale_img as img', 'res.resale_id=img.resale_id', 'left');
		$this->db->where('res.status', '1');
		if($project_id!=''){
		$this->db->where('res.project_id', $project_id);
		}
		if($bed!=''){
		$this->db->where('res.bed', $bed);
		}
		if($price!=''){
			if($price=='1'){
				$this->db->where('res.t_price >=', '10000000');
			}else{
		$this->db->where('res.t_price <=', $price);
		}
		}
		
        $this->db->group_by('res.resale_id'); 
        
        $this->db->order_by('res.resale_id', 'desc');
        $result = $this->db->get();
        return $result->result_array();
    }	
		public function allgetRecords() {
        $this->db->select('res.*,proj.project_name,img.resale_img_name,u.first_name');
        $this->db->from('resale as res');
        $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        $this->db->join('resale_img as img', 'res.resale_id=img.resale_id', 'left');
        $this->db->join('users as u', 'res.user_id=u.id', 'left');
		//$this->db->where('res.status', '1');
        $this->db->group_by('res.resale_id'); 
        
        $this->db->order_by('res.status', 'desc');
        $result = $this->db->get();
        return $result->result_array();
    }
		public function allusergetRecords($userid) {
        $this->db->select('res.*,proj.project_name,img.resale_img_name,u.first_name');
        $this->db->from('resale as res');
        $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        $this->db->join('resale_img as img', 'res.resale_id=img.resale_id', 'left');
		$this->db->join('users as u', 'res.user_id=u.id', 'left');
		if($userid!=''){
			$this->db->where('res.user_id =', $userid);
		}else{
			$this->db->where('res.user_id !=', '1');
		}
		
        $this->db->group_by('res.resale_id'); 
        
        $this->db->order_by('res.resale_id', 'desc');
        $result = $this->db->get();
        return $result->result_array();
    }
		public function getalluser() {
        $this->db->select('u.*');
        $this->db->from('users as u');
        // $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        //$this->db->join('resale as res', 'u.id=res.user_id', 'left');
		$this->db->where('u.id !=', '1');
        $this->db->group_by('u.id'); 
        
        $this->db->order_by('u.id', 'desc');
        $result = $this->db->get();
        return $result->result_array();
    }
		public function getallproperty($uid) {
        $this->db->select('res.resale_id');
        $this->db->from('resale as res');
        // $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        //$this->db->join('resale as res', 'u.id=res.user_id', 'left');
		$this->db->where('res.user_id ', $uid);
        $this->db->group_by('res.resale_id'); 
        
        $this->db->order_by('res.resale_id', 'desc');
        $result = $this->db->get();
        return $result->result_array();
    }
		public function allgetuserRecords($uid) {
        $this->db->select('res.*,proj.project_name,img.resale_img_name');
        $this->db->from('resale as res');
        $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        $this->db->join('resale_img as img', 'res.resale_id=img.resale_id', 'left');
		$this->db->where('res.user_id', $uid);
        $this->db->group_by('res.resale_id'); 
        
        $this->db->order_by('res.resale_id', 'desc');
        $result = $this->db->get();
        return $result->result_array();
    }
	
		public function reletedgetRecords($location,$resale) {
			// return $resale;
			// exit();
        $this->db->select('res.*,proj.project_name,img.resale_img_name');
        $this->db->from('resale as res');
        $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        $this->db->join('resale_img as img', 'res.resale_id=img.resale_id', 'left');
		$this->db->where('res.status', '1');
		$this->db->where('proj.location_id', $location);
		$this->db->where('res.resale_id !=', $resale);
        $this->db->group_by('res.resale_id'); 
        $this->db->limit(4);
        $this->db->order_by('res.resale_id', 'desc');
        $result = $this->db->get();
        return $result->result_array();
    }
		public function detailgetRecords($resale_id) {
        $this->db->select('res.*,res.update_time as resupdate_time,proj.*,typ.type_name,fag.*');
        $this->db->from('resale as res');
        $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        $this->db->join('type as typ', 'res.type_id=typ.type_id', 'left');
        $this->db->join('facing as fag', 'res.facing=fag.facing_id', 'left');
        $this->db->where('res.resale_id', $resale_id);
        $this->db->group_by('res.resale_id');         
        $this->db->order_by('res.resale_id', 'desc');
        $result = $this->db->get();
        return $result->result_array();
    }

    public function locgetRecords($table, $fields = '', $condition = '', $order_by = '', $limit = '', $offset = '', $debug = 0) {
        $str_sql = '';
        if (is_array($fields)) { /* $fields passed as array */
            $str_sql.=implode(",", $fields);
        } elseif ($fields != "") { /* $fields passed as string */
            $str_sql .= $fields;
        } else {
            $str_sql .= '*';  /* $fields passed blank */
        }
        $this->db->select($str_sql, FALSE);
        if (is_array($condition)) { /* $condition passed as array */
            if (count($condition) > 0) {
                foreach ($condition as $field_name => $field_value) {
                    if ($field_name != '' && $field_value != '') {
                        $this->db->where($field_name, $field_value);
                    }
                }
            }
        } else if ($condition != "") { /* $condition passed as string */
            $this->db->where($condition);
        }
        if ($limit != "") {
            $this->db->limit($limit, $offset); /* limit is not blank */
        }
        if (is_array($order_by)) {
            $this->db->order_by('loc.'.$order_by[0], $order_by[1]);  /* $order_by is not blank */
        } else if ($order_by != "") {
            $this->db->order_by($order_by);  /* $order_by is not blank */
        }
        //$this->db->from($table);  /* getting record from table name passed */
		$this->db->from($table.' as loc');
        $this->db->join('city as city', 'loc.city_id = city.city_id', 'left');
        $query = $this->db->get();
        if ($debug) {
            die($this->db->last_query());
        }
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'getRecords',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
        return $query->result_array();
    }

    public function commonFunctionToDeleteSingleRecord($table_name, $field_name1 = '', $field_value1 = '', $field_name2 = '', $field_value2 = '', $field_name3 = '', $field_value3 = '') {
        if ($field_name1 != '' && $field_value1 != '') {
            $this->db->where($field_name1, $field_value1);
        }
        if ($field_name2 != '' && $field_value2 != '') {
            $this->db->where($field_name2, $field_value2);
        }
        if ($field_name3 != '' && $field_value3 != '') {
            $this->db->where($field_name3, $field_value3);
        }
        $query = $this->db->delete($table_name);
    }

    /* function to get common record for the user	ie. absoulute path, global settings. */

    public function commonFunction() {
        $global = array();
        /* geting global settings from file */
        $lang_id = 17; /* default is 17 for english set lang id from session if global setting required for different language. */
        $file_name = "global-settings-" . $lang_id;
        $resp = file_get_contents($this->absolutePath() . "application/views/backend/global-setting/" . $file_name);
        $data['global'] = unserialize($resp);
        $data['absolute_path'] = $this->absolutePath();
        $data['user_account'] = $this->session->userdata('user_account');
        // Get location and collection
        $this->load->model('user_model');
        //data['arr_destination_data'] = $this->user_model->getUserInformation('mst_location', '*', array("is_featured" => '1'), $order_by_to_pass = 'location_name asc', $limit_to_pass = '', $debug_to_pass = 0);
       // $data['arr_collection_data'] = $this->user_model->getUserInformation('mst_collection_type', '*', array("status" => '1'), $order_by_to_pass = 'collection_name asc', $limit_to_pass = '10', $debug_to_pass = 0);

        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'commonFunction',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
        return($data);
    }

    /* function to check user loged in or not. */

    public function isLoggedIn() {
        $user_account = $this->session->userdata('user_account');
        $path_info = $this->uri->segment(1);
        if (isset($path_info) && ($path_info == 'admin' || $path_info == 'backend')) {
            if ($user_account['user_type'] != '') {
                if ($user_account['user_type'] != 2) {
                    $this->session->set_userdata('login_error', 'It seems you are already logged in with some other user. Please <a href=' . base_url() . 'backend/log-out>Logout</a> first!!');
                    redirect(base_url() . "signin");
                    exit();
                }
            } else {
                redirect(base_url() . "backend/login");
                exit();
            }
        } else if($path_info == 'user-profile'){
	
		} 
		else
		{
            if ($user_account['user_type'] != '') {
                if ($user_account['user_type'] == 2) {
                    $msg = '<div class="alert alert-block"><strong>Sorry!</strong>"It seems you are already logged in with admin user. Please <a href=' . base_url() . 'logout>Logout</a> first. <div>';
                    $this->session->set_userdata("msg", $msg);
                    redirect(base_url() . "backend/login");
                    exit();
                }
            } else {
               // redirect(base_url() . "signin");   //ravi
                //exit();   //ravi
				return false;     //ravi
            }
        }
        if (isset($user_account['user_id']) && $user_account['user_id'] != '') {
            //For checking the changed email verification
            $arr_ad_detail = $this->common_model->getRecords("mst_users", "*", array("user_id" => $user_account['user_id']));
            if (count($arr_ad_detail) > 0) {
                if (($arr_ad_detail[0]['user_status'] == 0) && $arr_ad_detail[0]['email_verified'] == 0) {
                    $this->session->unset_userdata("user_account");
                    $msg = '<div class="alert alert-block"><strong>Sorry!</strong> Your account is not activated yet, Please activate it and get log in.</div>';
                    $this->session->set_userdata("msg", $msg);
                    redirect(base_url() . "backend/login");
                    exit();
                }
                /* checking if user into blocked list or not 
                  checking file is exists or not */
                $absolute_path = $this->absolutePath();
                if (file_exists($absolute_path . "media/front/user-status/blocked-user")) {
                    /* getting all blocked user from file */
                    $blocked_user = $this->read_file($absolute_path . "media/front/user-status/blocked-user");
                    if (in_array($user_account['user_id'], $blocked_user)) {
                        /* removing the user from the bloked file list */
                        $key = array_search($user_account['user_id'], $blocked_user);
                        if ($key !== false) {
                            unset($blocked_user[$key]);
                        }
                        $this->write_file($absolute_path . "media/front/user-status/blocked-user", $blocked_user);
                        /* unsetting the session and redirecting to user to login */
                        if ($user_account['user_type'] == '2') {
                            $this->session->unset_userdata("user_account");
                            $msg = '<div class="alert alert-block"><strong>Sorry!</strong> Your account has been blocked by Administrator.</div>';
                            $this->session->set_userdata("msg", $msg);
                            redirect(base_url() . "backend/login");
                            exit();
                        } else {
                            $this->session->unset_userdata("user_account");
                            $this->session->set_userdata('login_error', "Your account has been blocked by administrator.");
                            redirect(base_url() . "signin");
                            exit();
                        }
                    }
                }
                /* checking if user into deleted list or not */
                if (file_exists($absolute_path . "media/front/user-status/deleted-user")) {
                    /* getting all blocked user from file */
                    $deleted_user = $this->read_file($absolute_path . "media/front/user-status/deleted-user");
                    if (in_array($user_account['user_id'], $deleted_user)) {
                        /* removing the user from the deleted file list */
                        $key = array_search($user_account['user_id'], $deleted_user);
                        if ($key !== false) {
                            unset($deleted_user[$key]);
                        }
                        $this->write_file($absolute_path . "media/front/user-status/deleted-user", $deleted_user);
                        /* unsetting the session and redirecting to user to login */
                        if ($user_account['user_type'] == '2') {
                            $this->session->unset_userdata("user_account");
                            $msg = '<div class="alert alert-block"><strong>Sorry!</strong> Your account has been deleted by Administrator.</div>';
                            $this->session->set_userdata("msg", $msg);
                            redirect(base_url() . "backend/login");
                            exit();
                        } else {
                            $this->session->unset_userdata("user_account");
                            $this->session->set_userdata('login_error', "Your account has been deleted by administrator.");
                            redirect(base_url() . "signin");
                            exit();
                        }
                    }
                }
                $error = $this->db->_error_message();
                $error_number = $this->db->_error_number();
                if ($error) {
                    $controller = $this->router->fetch_class();
                    $method = $this->router->fetch_method();
                    $error_details = array(
                        'error_name' => $error,
                        'error_number' => $error_number,
                        'model_name' => 'common_model',
                        'model_method_name' => 'isLoggedIn',
                        'controller_name' => $controller,
                        'controller_method_name' => $method
                    );
                    $this->common_model->errorSendEmail($error_details);
                    redirect(base_url() . 'page-not-found');
                    exit();
                }
                return true;
            } else {
                if ($user_account['user_type'] == '2') {
                    $this->session->unset_userdata("user_account");
                    $msg = '<div class="alert alert-block"><strong>Sorry!</strong> Your account has been deleted by Administrator.</div>';
                    $this->session->set_userdata("msg", $msg);
                    redirect(base_url() . "backend/login");
                    exit();
                } else {
                    $this->session->unset_userdata("user_account");
                    $this->session->set_userdata('login_error', "Your account has been deleted by administrator.");
                    redirect(base_url() . "signin");
                    exit();
                }
            }
        } else {
            $error = $this->db->_error_message();
            $error_number = $this->db->_error_number();
            if ($error) {
                $controller = $this->router->fetch_class();
                $method = $this->router->fetch_method();
                $error_details = array(
                    'error_name' => $error,
                    'error_number' => $error_number,
                    'model_name' => 'common_model',
                    'model_method_name' => 'isLoggedIn',
                    'controller_name' => $controller,
                    'controller_method_name' => $method
                );
                $this->common_model->errorSendEmail($error_details);
                redirect(base_url() . 'page-not-found');
                exit();
            }
            return false;
        }
    }

    /* unction to insert record into the database */

    public function insertRow($insert_data, $table_name) {
        $this->db->insert($table_name, $insert_data);
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'insertRow',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
        return $this->db->insert_id();
    }

    public function getUserDetailsByUserId($user_id) {
        $this->db->select('u.*,c.country as country_name');
        $this->db->from('mst_users as u');
        $this->db->join('mst_country as c', 'c.iso = u.country', 'left');
        $this->db->where('u.user_id', $user_id);
        $result = $this->db->get();
        return $result->result_array();
    }

    /* function to update record in the database
     * Modified by Arvind	
     */

    public function updateRow($table_name, $update_data, $condition) {
        if (is_array($condition)) {
            if (count($condition) > 0) {
                foreach ($condition as $field_name => $field_value) {
                    if ($field_name != '' && $field_value != '' && $field_value != NULL) {
                        $this->db->where($field_name, $field_value);
                    }
                }
            }
        } else if ($condition != "" && $condition != NULL) {
            $this->db->where($condition);
        }
        $this->db->update($table_name, $update_data);
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'updateRow',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
    }

    /* common function to delete rows from the table
     * Modified by Arvind
     */

    public function deleteRows($arr_delete_array, $table_name, $field_name) {
        if (count($arr_delete_array) > 0) {
            foreach ($arr_delete_array as $id) {
                if ($id) {
                    $this->db->where($field_name, $id);
                    $query = $this->db->delete($table_name);
                }
            }
        }
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'deleteRows',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
    }

    /*
     * function to get absolute path for project
     */

    public function absolutePath($path = '') {
        $abs_path = str_replace('system/', $path, BASEPATH);
        //Add a trailing slash if it doesn't exist.
        $abs_path = preg_replace("#([^/])/*$#", "\\1/", $abs_path);
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'absolutePath',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
        return $abs_path;
    }

   
    public function sendEmail($recipeinets, $from, $subject, $message,$email,$name) {
		$this->load->library('email');
    
    $this->email->initialize($config);
//Print_r ($from);
//exit();
    //$this->email->from($from['email'], $from['name']);   //change it
    // $this->email->from('info@gaurcity2.com', $from['name']);   //change it
    // $this->email->to($recipeinets);       //change it
    // $this->email->subject($subject);
    // $this->email->message($message);
	// Create the email and send the message
$to = $recipeinets; // Add your email address inbetween the '' replacing yourname@yourdomain.com - This is where the form will send a message to.
$email_subject = $name.' '.$subject;
$email_body = $message;
$headers  = 'MIME-Version: 1.0' . "\r\n";
$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
$headers .= "From: ".$from['email']."\n"; // This is the email address the generated message will be from. We recommend using something like noreply@yourdomain.com.

$headers .= "Reply-To: $email";	
mail($to,$email_subject,$email_body,$headers);
    $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'sendEmail',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
		if(mail){
        return '1';
		}else{
			echo $this->email->print_debugger();
		}
		
		
    }
	
	 public function sendEmailu($recipeinets, $from, $subject, $message) {
		  $this->load->library('email');
    
    $this->email->initialize($config);
//Print_r ($from);
//exit();
    //$this->email->from($from['email'], $from['name']);   //change it
    $this->email->from($from['email'], $from['name']);   //change it
    $this->email->to($recipeinets);       //change it
    $this->email->subject($subject);
    $this->email->message($message);
    $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'sendEmail',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
		if($this->email->send()){
        return '1';
		}else{
			echo $this->email->print_debugger();
		}
		 
		 
  
    }

  
 
    /* function to writer serialize data to file */

    public function write_file($file_path, $file_data) {
        /* Opening the file for writing. */
        $fp = fopen($file_path, "w+");
        /* wrinting into file */
        fwrite($fp, serialize($file_data));
        /* closing the file for writing. */
        fclose($fp);
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'write_file',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
    }

    /* function to read file from the specified path */

    public function read_file($file_path) {
        /* reading content for file */
        $file_content = file_get_contents($file_path);
        /* returning the unsearilized array of file data */
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'read_file',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
        return unserialize($file_content);
    }

    public function errorSendEmail($error_details) {
        // ci email helper initialization
        
        // set the from address
        $data['global'] = $this->getGlobalSettings();
        $from =  $data['global']['site_email'];
        //$this->email->from($from['email'], $from['name']);
        // set the subject
        $subject = 'Error in model file';
        //$this->email->subject($subject);
        // set recipeinets
        $recipeinets = $data['global']['site_email'];
        //$this->email->to($recipeinets);
        // set mail message
        $message = 'You got an error  <b>' . $error_details['error_name'] .
                '</b> error no - <b>' . $error_details['error_number'] . '</b><br/> Model Name:- <b>' . $error_details['model_name'] . '</b> <br/>  model method is :-<b>' . $error_details['model_method_name'] . '</b><br/> Controller <b>' . $error_details['controller_name'] . '</b>  <br/> Controller method is :<b>' . $error_details['controller_method_name'] . '</b>';
				$headers = "From: ".$from."\r\n"; // This takes the email and displays it as who this email is from.
$headers .= "Content-type: text/html\r\n"; // This tells the server to turn the coding into the text.
 $success = mail($recipeinets, $subject, $message, $headers); // This tells the server what to send.	
        return $success;
        //$this->email->message($message);
        // return boolean value for email send
        //return $this->email->send();
    }

  
    // function to get seo url from give url
    public function seoUrl($string) {
        $string = trim($string);
        //Unwanted:  {UPPERCASE} ; / ? : @ & = + $ , . ! ~ * ' ( )
        $string = strtolower($string);
        //Strip any unwanted characters
        $string = preg_replace("/[^a-z0-9_\s-]/", "", $string);
        //Clean multiple dashes or whitespaces
        $string = preg_replace("/[\s-]+/", " ", $string);
        //Convert whitespaces and underscore to dash
        $string = preg_replace("/[\s_]/", "-", $string);
        /* if string becomes empty then it will take current time stamp */
        if ($string != "") {
            return $string;
        } else {
            return time();
        }
        $error = $this->db->_error_message();
        $error_number = $this->db->_error_number();
        if ($error) {
            $controller = $this->router->fetch_class();
            $method = $this->router->fetch_method();
            $error_details = array(
                'error_name' => $error,
                'error_number' => $error_number,
                'model_name' => 'common_model',
                'model_method_name' => 'seoUrl',
                'controller_name' => $controller,
                'controller_method_name' => $method
            );
            $this->common_model->errorSendEmail($error_details);
            redirect(base_url() . 'page-not-found');
            exit();
        }
    }
	
	public function hot() {
		$this->db->select('res.*,proj.project_name,img.resale_img_name,loc.location_name');
        $this->db->from('resale as res');
        $this->db->join('project as proj', 'proj.project_id=res.project_id', 'left');
        $this->db->join('location as loc', 'loc.location_id=proj.location_id', 'left');
        $this->db->join('resale_img as img', 'res.resale_id=img.resale_id', 'left');
		$this->db->where('res.status', '1');
		$this->db->where('res.hot', '1');
        $this->db->group_by('res.resale_id'); 
        
        $this->db->order_by('res.resale_id', 'desc');
        $result = $this->db->get();
        return $result->result_array();
		
	}
  

}
