<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');
/*
  | -------------------------------------------------------------------------
  | URI ROUTING
  | -------------------------------------------------------------------------
  | This file lets you re-map URI requests to specific controller functions.
  |
  | Typically there is a one-to-one relationship between a URL string
  | and its corresponding controller class/method. The segments in a
  | URL normally follow this pattern:
  |
  |	example.com/class/method/id/
  |
  | In some instances, however, you may want to remap this relationship
  | so that a differloaent class/function is called than the one
  | corresponding to the URL.
  |
  | Please see the user guide for complete details:
  |
  |	http://codeigniter.com/user_guide/general/routing.html
  |
  | -------------------------------------------------------------------------
  | RESERVED ROUTES
  | -------------------------------------------------------------------------
  |
  | There area two reserved routes:
  |
  |	$route['default_controller'] = 'welcome';
  |
  | This route indicates which controller class should be loaded if the
  | URI contains no data. In the above example, the "welcome" class
  | would be loaded.
  |
  |	$route['404_override'] = 'errors/page_missing';
  |
  | This route will tell the Router what URI segments to use if those provided
  | in the URL cannot be matched to a valid route.
  |
 */
/*
 * ------------------------------------------------------------------
 *              Back-End Routes Starts Here.
 * ------------------------------------------------------------------
 */

/* Start :: Manage Common Settings. */
$route['admin'] = "admin/index";
$route['backend/admin'] = "admin/index";
$route['backend/change-languageversion-for-functionality'] = "admin/change_language_for_functionality";
$route['backend'] = "admin/index";
$route['backend/login'] = "admin/index";
$route['backend/index'] = "admin/index";
$route['backend/home'] = "admin/home";
$route['backend/dashboard'] = "admin/home";
$route['backend/log-out'] = "admin/logout";
$route['backend/forgot-password'] = "admin/forgotPassword";
$route['backend/reset-password/(:any)'] = "admin/resetPassword/$1";
$route['backend/forgot-password-email'] = "admin/checkForgotPasswordEmail";

/* Start :: Manage Global Setting. */
$route['backend/global-settings/list'] = "global_setting/listGlobalSettings";
$route['backend/global-settings/edit/(:any)'] = "global_setting/editGlobalSettings/$1/$2";
$route['backend/global-settings/edit-parameter-language/(:any)'] = "global_setting/editParameterLanguage/$1";
$route['backend/global-settings/get-global-parameter-language'] = "global_setting/getGlobalParameterLanguage";

/* Start :: Manage Role. */
$route['backend/role/list'] = "role/listRole";
$route['backend/role/edit/(:any)'] = "role/addRole/$1";
$route['backend/role/add'] = "role/addRole";
$route['backend/role/check-role'] = "role/checkRole";

/* Start :: Manage Admin User. */
$route['backend/admin/list'] = "admin/listAdmin";
$route['backend/admin/change-status'] = "admin/changeStatus";
$route['backend/admin/add'] = "admin/addAdmin";
$route['backend/admin/check-admin-username'] = "admin/checkAdminUsername";
$route['backend/admin/check-admin-email'] = "admin/checkAdminEmail";
$route['backend/admin/account-activate/(:any)'] = "admin/activateAccount/$1";
$route['backend/admin/edit/(:any)'] = "admin/editAdmin/$1";
$route['backend/admin/profile'] = "admin/adminProfile";
$route['backend/admin/edit-profile'] = "admin/editProfile";
$route['backend/country-change-language/(:any)'] = "countries/changeLanguage/$1";
$route['backend/country/country-name'] = "countries/getAllCountryNames";

/* Start :: Manage Users. */
$route['backend/user/list/(:any)'] = "user/listUser/$1";
$route['backend/user/change-status'] = "user/changeStatus";
$route['backend/user/add'] = "user/addUser";
$route['backend/user/check-user-username'] = "user/checkUserUsername";
$route['backend/user/check-user-email'] = "user/checkUserEmail";
$route['backend/user/account-activate/(:any)'] = "user/activateAccount/$1";
$route['backend/user/edit/(:any)'] = "user/editUser/$1";
$route['backend/user/(:any)/view/(:any)'] = "user/userProfile/$2";
$route['backend/user/delete-user/(:any)'] = "user/deleteUser/$1";
$route['backend/user/reverification-link/(:any)'] = "user/reverificationLink/$1/$2";
$route['backend/user/change-status-email'] = "user/changeStatusEmail";




/* Manage vendor category here */
$route['backend/vendor-category'] = "vendor_category/categoryList";
$route['backend/delete-vendor-category'] = "vendor_category/deletevendorcategory";
$route['backend/vendor-category/add'] = "vendor_category/add";
$route['backend/vendor-category/edit-vendor-category/(:any)'] = "vendor_category/editvendorcategory/$1";
$route['backend/check-vendor-category'] = "vendor_category/checkvendorcategory";


/* Start :: Manage Email Templates. */
$route['backend/email-template/list'] = "email_template/index";
$route['backend/edit-email-template/(:any)'] = "email_template/editEmailTemplate/$1";

/* Start :: Manage Contact Us. */
$route['backend/contact-us'] = "contact_us/listContactUs";
$route['backend/contact-us/view/(:any)'] = "contact_us/view/$1";
$route['backend/contact-us/reply/(:any)'] = "contact_us/reply/$1";

/* Start :: Manage Category. */
$route['backend/categories/list'] = "category/listCategory";
$route['backend/category/add-category'] = "category/addCategory";
$route['backend/category/edit-category/(:any)'] = "category/editCategory/$1";
$route['backend/category/check-category-name'] = "category/checkCategoryName";

/* Start :: Manage CMS. */
$route['backend/cms'] = "cms/listCMS";
$route['backend/cms/edit-cms/(:any)'] = "cms/editCMS/$1";
$route['backend/cms/edit-cms-language/(:any)'] = "cms/editCmsLanguage/$1";
$route['backend/cms/get-cms-language'] = "cms/getCmsLanguage";
$route['upload-image'] = "cms/uploadImage";


/* Start :: Manage News-letter. */
$route['backend/newsletter/list'] = "newsletter/listNewsletter";
$route['backend/newsletter/add'] = "newsletter/addNewsletter";
$route['backend/newsletter/change-status'] = "newsletter/changeStatus";
$route['backend/newsletter/edit/(:any)'] = "newsletter/editNewsletter/$1";
$route['backend/send-newsletter/(:any)'] = "newsletter/sendNewsletter/$1";
$route['backend/newsletter/upload-cleditor-image'] = "newsletter/uploadClEditorImage";
$route['backend/newsletter-subscriber/list'] = "subscriber_newsletter/listSubscriberNewsletter";
$route['backend/subscriber-newsletter/change-status'] = "subscriber_newsletter/changeStatus";

/* Start :: Manage FAQs. */
$route['backend/faqs/list'] = "faqs/listFAQS";
$route['backend/faqs/add'] = "faqs/addFAQ";
$route['backend/faqs/add/(:any)'] = "faqs/addFAQ/$1";
$route['backend/faqs/lang-faq/(:any)'] = "faqs/addLangFAQ/$1";
$route['backend/faqs/delete'] = "faqs/deleteFAQ";
$route['backend/faqs/categories'] = "faqs/getFaqCategories";
$route['backend/faqs/lang-category/(:any)'] = "faqs/langCategory/$1";
$route['backend/faqs/get-language-for-faq'] = "faqs/getLanguageForFaq";
$route['backend/faqs/validate-page-url'] = "faqs/validatePageUrl";
$route['backend/faqs/get-language-for-categories'] = "faqs/getLanguageForCategories";
$route['backend/faqs/delete-category'] = "faqs/deleteCategory";
$route['backend/faqs/add-category'] = "faqs/addFaqCategories";
$route['backend/faqs/add-category/(:any)'] = "faqs/addFaqCategories/$1";
$route['backend/faqs/check-duplicate-category-name'] = "faqs/checkDuplicateCategoryName";
$route['backend/faqs/change-status'] = "faqs/changeStatus";

/* Start :: Manage slider Banner. */
$route['backend/slider-banner/list-sliders-banners'] = "slider_banner/index";
$route['backend/slider-banner/add-sliders-banner'] = "slider_banner/addNewSliderBanner";
$route['backend/slider-banner/delete-sliders-banners'] = "slider_banner/deleteSlidersBanners";
$route['backend/slider-banner/edit-sliders-banner/(:any)'] = "slider_banner/editSliderBanner/$1";
$route['backend/slider-banner/edit-sliders-banner'] = "slider_banner/editSliderBanner";
$route['backend/slider-banner/edit-slider-banner-object/(:any)'] = "slider_banner/editSliderBannerObject/$1";
$route['backend/slider-banner/edit-sliders-banner-object'] = "slider_banner/editSliderBannerObject";
$route['backend/slider-banner/change-slider-banner-status'] = "slider_banner/updateSliderStatus";
$route['backend/slider-banner/change-slider-banner-object-status'] = "slider_banner/updateSliderBannerObjectStatus";
$route['backend/slider-banner/slider-banner-more-details/(:any)'] = "slider_banner/sliderBannerMoreDetails/$1";
$route['backend/slider-banner/list-sliders-banner-objects/(:any)'] = "slider_banner/sliderBannerObject/$1";
$route['backend/slider-banner/add-slider-banner-object/(:any)'] = "slider_banner/addsliderBannerObject/$1";
$route['backend/slider-banner/duplicate-banner-object-details/(:any)'] = "slider_banner/duplicateSliderBannerObject/$1";
$route['backend/slider-banner/slider-banner-object-more-details/(:any)'] = "slider_banner/sliderBannerObjectMoreDetails/$1";
$route['backend/slider-banner/delete-slider-banner-object'] = "slider_banner/deleteSlidersBannersObjects";

/* Start :: Manage Success Stories. */
$route['backend/success-stories/list'] = "success_stories/listSuccessStories";
$route['backend/success-stories/add'] = "success_stories/addSuccessStories";
$route['backend/success-stories/add/(:any)'] = "success_stories/addSuccessStories/$1";
$route['backend/success-stories/change-status'] = "success_stories/changeStatus";
$route['backend/success-stories/delete'] = "success_stories/deleteSuccessStory";
$route['delete-product-image-backend'] = "success_stories/deleteStoryImageBackend";

/* Start :: Manage Blogs. */
$route['backend/blog'] = "blog/manage_blog_posts";
$route['backend/blog/add-post'] = "blog/edit_post";
$route['backend/blog/edit-post/(:any)'] = "blog/edit_post/$1";
$route['backend/blog/view-comments/(:any)'] = "blog/view_post_comments/$1";
$route['backend/blog/add-post-comment/(:any)'] = "blog/add_post_comment/$1";
$route['backend/blog/edit-post-comment/(:any)/(:any)'] = "blog/edit_post_comment/$1/$2";
$route['backend/blog/delete-post'] = "blog/delete_post";
$route['backend/blog/delete-post-comment'] = "blog/delete_post_comment";
$route['backend/blog/lang-posts/(:any)'] = "blog/lang_post/$1";
$route['backend/blog/get-language-for-posts'] = "blog/get_language_for_posts";
$route['backend/blog/validate-page-url'] = "blog/validatePageUrl";
$route['upload-image-blog'] = "blog/uploadImage";
/* Start :: add offer. */
$route['backend/offer'] = "offer/update";
$route['offer'] = "offer";

/* Start :: Manage Videos. */
$route['backend/videos/list'] = "videos/listVideos";
$route['backend/videos/add'] = "videos/addVideos";
$route['backend/videos/change-status'] = "videos/changeStatus";
$route['backend/videos/edit/(:any)'] = "videos/editVideos/$1";
$route['backend/videos/edit'] = "videos/editVideos";
$route['backend/videos/delete'] = "videos/deleteVideos";


$route['backend/place/list-place'] = "space/listPlace";
$route['backend/place/add'] = "space/addPlace";
$route['backend/place/edit/(:any)'] = "space/editPlace/$1";
$route['backend/place/place-space-list/(:any)'] = "space/listPlaceSpace/$1";

/* Start :: Manage Space. */
$route['backend/space/list-space'] = "space/listSpace";
$route['backend/space/list-space/(:any)'] = "space/listSpace/$1";
$route['backend/space/add'] = "space/addSpace";
$route['backend/space/add/(:any)'] = "space/addSpace/$1";
$route['backend/space/edit/(:any)'] = "space/editSpace/$1/$2";
$route['backend/space/edit'] = "space/editSpace";
$route['backend/space/change-verify-status'] = "space/changeVerifyStatus";
$route['backend/space/change-available-status'] = "space/changeAvailableStatus";
$route['backend/space/change-space-status'] = "space/changeSpaceStatus";
$route['backend/space/space-delete'] = "space/deleteSpace";
$route['delete-space-image-backend'] = "space/deleteSpaceImageBackend";
$route['delete-floor-backend'] = "space/deleteFloorBackend";
$route['backend/space/enquiry-list'] = "space/spaceEnquiryList";
$route['backend/space/enquiry-list/(:any)'] = "space/spaceEnquiryList/$1";
$route['backend/space/leads-list'] = "space/spaceLeadsList";
$route['backend/space/leads-list/(:any)'] = "space/spaceLeadsList/$1";
$route['backend/space/enquiry-list/(:any)/(:any)'] = "space/spaceEnquiryList/$1/$2";
$route['backend/space/view-enquiry/(:any)'] = "space/spaceEnquiryView/$1";
$route['backend/space/view-enquiry-info/(:any)'] = "space/spaceEnquiryViewInfo/$1";
$route['backend/space/view-enquiry-info/(:any)/(:any)'] = "space/spaceEnquiryViewInfo/$1/$2";
$route['backend/space/view-enquiry/(:any)/(:any)'] = "space/spaceEnquiryView/$1/$2";
$route['backend/space/view-communication/(:any)'] = "communication/spaceEnquiryCommunication/$1/$2/$3";
$route['backend/space/change-enquiry-status'] = "space/changeAdminEnquiryStatus";


$route['backend/space-type/list-space-type'] = "space/listSpaceType";
$route['backend/space-type/add'] = "space/addSpaceType";
$route['backend/space-type/edit/(:any)'] = "space/editSpaceType/$1";
$route['backend/space-type/edit'] = "space/editSpaceType";
$route['backend/space/change-status'] = "space/changeStatus";
$route['backend/space/delete'] = "space/deleteSpaceType";

$route['backend/space-structure/list'] = "space/listSpaceStructure";
$route['backend/space-structure/add'] = "space/addSpaceStructureType";
$route['backend/space-structure/edit/(:any)'] = "space/editSpaceStructureType/$1";
$route['backend/space-structure/edit'] = "space/editSpaceStructureType";
$route['backend/space-structure/change-status'] = "space/changeSpaceStructureStatus";
$route['backend/space-structure/delete'] = "space/deleteSpaceStructureType";
$route['chk-structure-dublicate'] = "space/chkStructureTypeDuplicate";
$route['backend/space-amenities/list'] = "space/listSpaceAmenities";
$route['backend/space-amenities/add'] = "space/addSpaceAmenities";
$route['backend/space-amenities/edit/(:any)'] = "space/editSpaceAmenities/$1";
$route['backend/space-amenities/edit'] = "space/editSpaceAmenities";
$route['backend/space-amenities/change-status'] = "space/changeSpaceAmenityStatus";
$route['backend/space-amenities/delete'] = "space/deleteSpaceAmenityType";
$route['backend/space-collection/list'] = "space/listSpaceCollection";
$route['backend/space-collection/add'] = "space/addSpaceCollection";
$route['backend/space-collection/edit/(:any)'] = "space/editSpaceCollection/$1";
$route['backend/space-collection/edit'] = "space/editSpaceCollection";
$route['backend/space-collection/add-space/(:any)'] = "space/addCollectionSpace/$1";
$route['backend/space-collection/del-space/(:any)'] = "space/delCollectionSpace/$1";
$route['backend/space/change-collection-status'] = "space/changeCollectionStatus";
$route['backend/collection/change-featured-status'] = "space/changeFeaturedStatus";
$route['backend/space/delete-collection'] = "space/deleteSpaceCollection";
$route['backend/space/space-add'] = "space/addCollectionInSpace";
$route['backend/space/space-del'] = "space/delCollectionInSpace";

/* Start :: Manage Page Not Found. */
$route['page-not-found'] = "cms/databaseError";

/* Start :: Manage Location Routes. */
$route['backend/location/location-list'] = "location/listLocation";
$route['backend/location/add-location'] = "location/addLocation";
$route['backend/location/check-location-name'] = "location/chkLocationName";
$route['backend/location/change-status'] = "location/changeStatus";
$route['backend/location/change-featured-status'] = "location/changeFeaturedStatus";
$route['backend/location/edit-location/(:any)'] = "location/editLocation/$1";
$route['backend/location/chk-edit-location-name'] = "location/chkEditLocationName";
$route['backend/location/delete-location'] = "location/deleteLocation";
$route['delete-gallary-image-backend'] = "location/deleteGallaryImageBackend";
$route['upload-image-location'] = "location/uploadLocationImage";
$route['backend/location/location-people-list/(:any)'] = "location/peopleLocationList/$1";
$route['backend/location/add-people/(:any)'] = "location/addPeopleLocation/$1";
$route['backend/location/edit-people/(:any)/(:any)'] = "location/editPeopleLocation/$1/$2";
$route['backend/location/change-people-status'] = "location/changePeopleStatus";
$route['backend/location/delete-people'] = "location/deleteLocationPeople";
$route['backend/location/change-people-featured-status'] = "location/changePeopleFeaturedStatus";
$route['get-image-count'] = "location/getImageCount";
/* Start :: Manage Location Routes. */
$route['backend/manage-address/address-list'] = "location/listAddress";
$route['backend/manage-address/add-address'] = "location/addAddress";
$route['backend/manage-address/check-address-name'] = "location/chkAddressName";
$route['backend/manage-address/change-status'] = "location/changeAddressStatus";
$route['backend/manage-address/edit-address/(:any)'] = "location/editAddress/$1";
$route['backend/manage-address/chk-edit-address-name'] = "location/chkEditAddressName";
$route['backend/manage-address/delete-address'] = "location/deleteAddress";
$route['get-lat-lng'] = "location/getCityLatLng";
$route['get-geo-location'] = "location/getGeoLocation";
/*
 * ------------------------------------------------------------------
 *              Front-End Routes Starts Here.
 * ------------------------------------------------------------------
 */

/* Default controller. */
$route['default_controller'] = "home/index";
$route['ravi'] = "home/sms";

/* Start :: Manage Users. */
$route['signup'] = "register/userRegistration";
$route['shop-signup'] = "register/shopuserRegistration";
$route['signin'] = "register/signin";
$route['shop-signin'] = "register/shopsignin";
$route['fb-signup'] = "register/fbUserRegistration";
$route['fb-signup-chk-usertype'] = "register/userRegistrationByFacebook";
$route['user-activation/(:any)'] = "register/userActivation/$1";
$route['chk-email-dublicate'] = "register/chkEmailDuplicate";
$route['chk-username-dublicate'] = "register/chkUsernameDuplicate";
$route['chk-email-exist'] = "register/chkEmailExist";
$route['password-recovery'] = "register/passwordRecovery";
$route['reset-password/(:any)'] = "register/resetPassword/$1";
$route['reset-password'] = "register/resetPassword";


/* Start :: Manage User Account. */
$route['account-setting'] = "user_account/accountSetting";
$route['edit-user-password-chk'] = "user_account/editUserPasswordChk";
$route['profile/change-profile-picture'] = "user_account/changeProfilePicture";
$route['dashboard'] = "user_account/userDashboard";
$route['profile'] = "user_account/profile";
$route['edit-profile/1'] = "user_account/editProfile1";
$route['edit-profile/2'] = "user_account/editProfile2";
$route['my-portfolio'] = "user_account/userportfolio";
$route['my-portfolio/add'] = "user_account/adduserportfolio";
$route['my-portfolio/del/(:any)'] = "user_account/deluserportfolio/$1";
$route['profile-image'] = "user_account/userprofileimage";
$route['profile-image/add'] = "user_account/adduserprofileimage";
$route['profile-image/del/(:any)'] = "user_account/deluserprofileimage";
$route['my-doc/del/(:any)'] = "user_account/deldoc/$1";
$route['edit-profile/2/(:any)'] = "user_account/editProfile2/$1";
$route['ajaxdata'] = "user_account/ajaxdata";
$route['logout'] = "user_account/logout";
$route['my-shop/all'] = "my_shop/shop";
$route['my-shop/add'] = "my_shop/add_product";
$route['my-shop/edit/(:any)'] = "my_shop/edit_product/$1";
$route['my-shop/category'] = "my_shop/shop_category";
$route['my-shop/add-category'] = "my_shop/add_category";
$route['my-shop/my-order'] = "my_shop/my_order";

$route['user-profile/(:any)/checkout/(:any)/(:any)/(:any)'] = "user_account/checkout/$1/$2/$3/$4";
$route['user-profile/(:any)/checkout/(:any)/(:any)'] = "user_account/checkout/$1/$2/$3";
$route['user-profile/(:any)/product/(:any)'] = "user_account/single_product/$1/$2";
$route['user-profile/(:any)/(:any)'] = "user_account/user_profile/$1/$2";
$route['my-order'] = "user_account/my_order";

//$route['logout'] = "user_account/logout";


/* Start :: Manage faq. */
$route['faqs'] = "faqs/index";
$route['getAllFaqByCatID'] = "faqs/getAllFaqByCategoryID";

/* Start :: Manage CMS And Contact Us. */

$route['contact-us'] = "contact_us/index";

/* Start :: Space listing search related routes */
$route['space-list'] = "search/spaceList";
$route['space-list/(:any)'] = "search/spaceList/$1/$2/$3/$4/$5/$6/$7/$8/$9";
$route['show-all'] = "search/showAll";
$route['show-all/(:any)'] = "search/showAll/$1";
$route['show-spaces'] = "search/showSpaces";
$route['show-spaces/(:any)'] = "search/showSpaces/$1";
$route['destinations'] = "search/destinations";
$route['destinations/(:any)'] = "search/getSearchSpacedestination/$1";
$route['destinations/(:any)/(:any)'] = "search/getSearchSpacedestination/$1/$2";
$route['collection/(:any)'] = "search/getSearchSpaceCollection/$1";
$route['collection/(:any)/(:any)'] = "search/getSearchSpaceCollection/$1/$2";
$route['available-spaces'] = "search/availableSpaces";
$route['available-spaces/(:any)'] = "search/availableSpaces/$1";
$route['my-leads'] = "space/myleads";

/* Start :: Manage Blogs. */
$route['blog-list'] = "blog/getAllBlogList";
$route['blog-details/(:any)'] = "blog/handleCleanUrlsForBlog/$1";
$route['post-comment/(:any)'] = "blog/addComment/$1";
$route['get-all-blogs'] = "blog/getAllBlogsForHome";

/* Start :: Manage Space. */
$route['get-all-your-space'] = "space/getAllYourSpace";
$route['add-your-space'] = "space/addYourSpace";
$route['add-your-space/(:any)'] = "space/addYourSpace/$1";
$route['edit-your-space/(:any)'] = "space/editYourSpace/$1";
$route['delete-your-space'] = "space/deleteYourSpace";
$route['space-details/(:any)'] = "space/spaceDetails/$1";
$route['delete-space-image-frontend'] = "space/deleteSpaceImageFrontend";
$route['change-space-status'] = "space/changeSpaceStatusAtFront";
$route['add-space-enquiry'] = "space/addSpaceEnquiry";
$route['ajx-space-price'] = "space/spacePrice";
$route['add-space-enquiry-step2'] = "space/addSpaceEnquiryStep2";
$route['paytm-payment'] = "space/paytmpayment";
$route['shop-paytm-payment'] = "space/shoppaytmpayment";
$route['space-payment/(:any)'] = "space/spacePaymentSetting/$1/$2/$3/$4";
$route['ajax-change-price'] = "space/ajaxChangePrice";
$route['ajax-change-appearing-date'] = "space/ajaxChangeAppearingDate";
$route['ajax-change-disappearing-date'] = "space/ajaxChangeDisAppearingDate";
$route['remove-data'] = "space/removeData";
$route['space-contact'] = "space/spacecontact";

/* Start :: Manage Payment. */
$route['add-payment-info'] = "payment/addSpacePayment";
$route['add-offline-payment'] = "payment/addOfflineSpacePayment";
$route['shop-add-offline-payment'] = "payment/shopaddOfflineSpacePayment";
$route['generate-invoice-pdf/(:any)'] = "payment/printPdf/$1";
$route['payment-success/(:any)'] = "payment/citrusPaymentSuccess/$1";
$route['shop-payment-success/(:any)'] = "payment/shopcitrusPaymentSuccess/$1";
$route['shop-paytm-payment-success'] = "payment/shoppaytmPaymentSuccess";
$route['paytm-payment-success'] = "payment/paytmPaymentSuccess";

/* Start :: Manage Place. */
$route['places-list'] = "space/getPlaceList";
$route['places-list/(:any)'] = "space/getPlaceList/$1";
$route['requested-enquiry-list'] = "space/getRequestedEnquiryList";
$route['requested-enquiry-list/(:any)'] = "space/getRequestedEnquiryList/$1";
$route['requests-myspace-list'] = "space/getRequestsOnMySpaceList";
$route['requests-myspace-list/(:any)'] = "space/getRequestsOnMySpaceList/$1";
$route['book-space-list'] = "space/getBookSpaceList";
$route['book-space-list/(:any)'] = "space/getBookSpaceList/$1";
$route['add-your-place'] = "space/addYourPlace";
$route['edit-your-place/(:any)'] = "space/editYourPlace/$1";
$route['change-place-status'] = "space/changePlaceStatus";
$route['change-enquiry-status'] = "space/changeEnquiryStatus";
$route['delete-your-place'] = "space/deletePlace";
$route['view-booked-space-detail/(:any)'] = "space/viewBookedSpace/$1/$2/$3/$4";
$route['view-booked-space-details-info/(:any)'] = "space/viewBookedSpaceDetailInfo/$1/$2/$3/$4";
$route['view-requested-space-detail/(:any)'] = "space/viewRequestedSpace/$1/$2/$3/$4";
$route['view-requested-space-details-info/(:any)'] = "space/viewRequestedSpaceDetails/$1/$2/$3/$4";
$route['view-requests-myspace-detail-info/(:any)'] = "space/viewRequestsMySpaceDetails/$1/$2/$3/$4";
$route['view-requests-myspace-detail/(:any)'] = "space/viewRequestsMySpace/$1/$2/$3/$4";
$route['view-requests-myspace-info/(:any)'] = "space/viewRequestsMySpaceDetailInfo/$1/$2/$3/$4";
$route['space-requests-detail/(:any)'] = "space/spaceRequestDetail/$1/$2/$3/$4";
$route['space-requested-detail-info/(:any)'] = "space/spaceRequestedDetailInfo/$1";
$route['space-bookeded-detail-info/(:any)'] = "space/spaceBookedDetailInfo/$1/$2/$3/$4";

/* Start :: Manage Editorials. */
$route['editorial/success-story-list'] = "success_stories/getSuccessStoryList";
$route['editorial/success-story-list/(:any)'] = "success_stories/getSuccessStoryList/$1";
$route['editorial/videos-list'] = "videos/getVideosList";
$route['editorial/videos-list/(:any)'] = "videos/getVideosList/$1";
$route['editorial/blog-list'] = "blog/getBlogList";
$route['editorial/blog-list/(:any)'] = "blog/getBlogList/$1";
$route['editorial/all-editorial-list'] = "home/getAllEditorialList";
$route['editorial/success-story-details/(:any)'] = "success_stories/getStoryDetails/$1";
$route['editorial/videos-details/(:any)'] = "videos/getVideosDetails/$1";
$route['editorial/blog-details/(:any)'] = "blog/getBlogDetails/$1";

/* Start :: Manage space search. */
$route['get-space-address'] = "search/getSpaceAddress";
$route['ajax-get-city-list'] = "search/getCityList";
$route['get-search-space-structure'] = "search/getSearchSpaceStructure";

/* Manage States here */
$route['backend/states'] = "states/statesList";
$route['backend/delete-states'] = "states/deleteStatesList";
$route['backend/states/add'] = "states/addState";
$route['backend/states/edit-states/(:any)'] = "states/editStates/$1";
$route['backend/check-states-name'] = "states/checkStatesName";
$route['backend/state-change-language/(:any)'] = "states/changeLanguage/$1";
$route['backend/state/state-name'] = "states/getAllStateNames";

/* Manage Cities */
$route['backend/cities'] = "city/listCity";
$route['backend/manage-cities'] = "city/deleteCity";
$route['backend/cities/add'] = "city/addCity";
$route['backend/cities/edit-city/(:any)'] = "city/editCity/$1";
$route['backend/check-city-name'] = "city/checkCityName";
$route['backend/get-state-info'] = "city/getAllStateInfo";
$route['backend/city-change-language/(:any)'] = "city/changeLanguage/$1";
$route['backend/city/get-all-city-names'] = "city/getAllCityNames";
$route['backend/ajax-get-city-list'] = "city/getAllCitys";

// Search from home page
$route['search-from-home-url'] = "search/searchFromHome";
$route['search-filter-url'] = "search/searchURL";
$route['search-filter-ajax'] = "search/spaceListAljax";

// Place view spaces
$route['view-spaces/(:any)'] = "space/getAllYourSpace/$1";

/** Enquiry communication Routes * */
$route['compose-message/(:any)'] = "communication/composeMessage/$1/$2";
$route['inbox'] = "communication/inboxMessage";
$route['inbox/(:any)'] = "communication/inboxMessage/$1/$2/$3";
$route['inbox-reply/(:any)'] = "communication/replyInbox/$1/$2/$3";
$route['submit-reply'] = "communication/submitReply";
$route['get-chat'] = "communication/getChat";
$route['archive/(:any)'] = "communication/archiveInboxMsg/$1/$2";
$route['ajax-archive-unarchive'] = "communication/getArchiveUnArchiveStatus";
$route['un-archive/(:any)'] = "communication/unArchiveInboxMsg/$1/$2";
$route['mark-all-as-read'] = "communication/fnToChangeMsgAsRead";
$route['ims-attachments/(:any)'] = "communication/downloadImsAttachment/$1";

$route['backend/list-communication'] = "communication/listCommunication";
$route['backend/view-communication-detail/(:any)'] = "communication/viewCommunicationDetail/$1/$2/$3";
$route['backend/delete-message-from-comunication/(:any)'] = "communication/deleteMessageFromComunication/$1/$2/$3";
$route['backend/delete-message-from-comunication'] = "communication/deleteMessageFromComunication/$1/$2/$3";

$route['all-unread-msg-count'] = "communication/getUnreadMessageNotification";
$route['get-msg-contact-info'] = "communication/getMessageContactInfo";
$route['search-msg-contact-info'] = "communication/searchMsgContactInfo";
$route['delete_item/(:any)'] = "project/deleteItem/$1/$2";
$route['user-delete-messages'] = "communication/deleteMessageFromComunication";

/** Notification Routes Start * */
$route['my-notification'] = "notification/myNotification";
$route['my-notification/(:any)'] = "notification/myNotification/$1";
$route['view-notification/(:any)'] = "notification/viewNotification/$1";
$route['delete-notification/(:any)'] = "notification/deleteNotification/$1";
$route['noti-status-read'] = "notification/readNotificationStatus/$1";

/** Homepage data * */
$route['load-more-how-it-work'] = 'home/loadMoreHowItsWork';
$route['load-more-success-story'] = 'home/loadMoreSuccessStories';

/** Manage Booking Calendar * */
$route['booking-calendar'] = 'user_account/bookingCalendarDetails';

/** Save Space * */
$route['save-space'] = 'space/saveUserSpace';
$route['save-space-list'] = 'space/saveSpaceList';
$route['save-space-list/(:any)'] = 'space/saveSpaceList/$1';
$route['remove-save-space/(:any)'] = 'space/removeSaveSpace/$1';
$route['404_override'] = 'cms/databaseError';
$route['(:any)'] = "cms/cmsPage/$1";


